App::Sqitch::Command::add(3pm)

Name
App::Sqitch::Command::add - Add a new change to Sqitch plans

Synopsis
  my $cmd = App::Sqitch::Command::add->new(%params);
  $cmd->execute;

Description
Adds a new deployment change. This will result in the creation of a scripts in the deploy, revert, and verify directories. The scripts are based on Template::Tiny templates in ~/.sqitch/templates/ or "$(prefix)/etc/sqitch/templates" (call "sqitch --etc-path" to find out where, exactly (e.g., "$(sqitch --etc-path)/sqitch.conf").

Interface

  Class Methods
"options"

  my @opts = App::Sqitch::Command::add->options;

Returns a list of Getopt::Long option specifications for the command-line options for the "add" command.

"configure"

  my $params = App::Sqitch::Command::add->configure(
      $config,
      $options,
  );

Processes the configuration and command options and returns a hash suitable for the constructor.

  Attributes
"change_name"

The name of the change to be added.

"note"

Text of the change note.

"requires"

List of required changes.

"conflicts"

List of conflicting changes.

"all"

Boolean indicating whether or not to run the command against all plans in the project.

"template_name"

The name of the templates to use when generating scripts. Defaults to the engine for which the scripts are being generated.

"template_directory"

Directory in which to find the change script templates.

"with_scripts"

Hash reference indicating which scripts to create.

  Instance Methods
"execute"

  $add->execute($command);

Executes the "add" command.

"all_templates"

Returns a hash reference of script names mapped to template files for all scripts that should be generated for the new change.

See Also

sqitch-add
    Documentation for the "add" command to the Sqitch command-line client.

sqitch
    The Sqitch command-line client.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.